For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Buildium
        • POSTCreate Resident Payment: Buildium
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumBilling and Payments

Get all resident payments

GET
/v1/resident-payments/
GET
/v1/resident-payments/
$curl https://api.propexo.com/v1/resident-payments/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "txn_987654321",
18 "x_property_id": "prop_123456789",
19 "x_gl_account_id": "gl_456789123",
20 "x_location_id": null,
21 "x_lease_id": "lease_789123456",
22 "x_resident_id": "resident_321654987",
23 "x_unit_id": "unit_654987321",
24 "x_charge_code_id": null,
25 "payment_method_normalized": "credit_card",
26 "payment_method_raw": "Visa ending 1234",
27 "amount_in_cents": 125000,
28 "amount_raw": "1250.00",
29 "name": "John Doe",
30 "description": "March rent payment",
31 "reference_number": "REF123456789",
32 "transaction_date": "2024-03-20",
33 "is_open": null,
34 "post_month": null,
35 "custom_data": {},
36 "integration_id": "clwh5u07w000508me66sfh3um",
37 "integration_vendor": "BUILDIUM",
38 "property_id": "clwi5xiix000008l6ctdgafyh",
39 "resident_id": "res_0011223344",
40 "financial_account_id": "finacc_9988776655",
41 "unit_id": "cmoeilj0i000004kz8v7k5qxu",
42 "lease_id": "cmoeilj0i000004kz8v7k5qxu",
43 "charge_code_id": null,
44 "allocations": [
45 {
46 "id": "clwktsp9v000008l31iv218hn",
47 "x_id": "alloc_123456789",
48 "x_source_id": "txn_987654321",
49 "x_destination_id": "charge_123456789",
50 "financial_account_id": "finacc_9988776655",
51 "amount_in_cents": 125000,
52 "amount_raw": "1250.00",
53 "resident_charge_id": "charge_0011223344",
54 "resident_payment_id": "clwktsp9v000008l31iv218hn",
55 "created_at": "2024-03-21T15:38:08.337Z",
56 "updated_at": "2024-03-22T10:59:45.119Z",
57 "last_seen": "2024-03-22T10:59:45.119Z",
58 "custom_data": {}
59 }
60 ]
61 }
62 ]
63}
The Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Was this page helpful?
Previous

Get a resident payment by ID

Next
Built with

The Resident Payments model provides a limited, one-sided view of a resident’s financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
resident_idstringOptional
The Propexo unique identifier for the resident
lease_idstringOptional
The Propexo unique identifier for the lease
transaction_date_startstring or nullOptional
The start of the transaction date range to search. Inclusive.
transaction_date_endstring or nullOptional
The end of the transaction date range to search. Inclusive.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error